// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/blauwe-knop/vorderingenoverzicht/scheme-service/pkg/repositories (interfaces: SchemeRepository)
//
// Generated by this command:
//
//	mockgen -destination=./../test/mock/scheme_repository.go -package=mock gitlab.com/blauwe-knop/vorderingenoverzicht/scheme-service/pkg/repositories SchemeRepository
//

// Package mock is a generated GoMock package.
package mock

import (
	reflect "reflect"

	healthcheck "gitlab.com/blauwe-knop/common/health-checker/pkg/healthcheck"
	model "gitlab.com/blauwe-knop/vorderingenoverzicht/scheme-service/pkg/model"
	gomock "go.uber.org/mock/gomock"
)

// MockSchemeRepository is a mock of SchemeRepository interface.
type MockSchemeRepository struct {
	ctrl     *gomock.Controller
	recorder *MockSchemeRepositoryMockRecorder
	isgomock struct{}
}

// MockSchemeRepositoryMockRecorder is the mock recorder for MockSchemeRepository.
type MockSchemeRepositoryMockRecorder struct {
	mock *MockSchemeRepository
}

// NewMockSchemeRepository creates a new mock instance.
func NewMockSchemeRepository(ctrl *gomock.Controller) *MockSchemeRepository {
	mock := &MockSchemeRepository{ctrl: ctrl}
	mock.recorder = &MockSchemeRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockSchemeRepository) EXPECT() *MockSchemeRepositoryMockRecorder {
	return m.recorder
}

// CreateOrganization mocks base method.
func (m *MockSchemeRepository) CreateOrganization(arg0 model.Organization) (*model.Organization, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateOrganization", arg0)
	ret0, _ := ret[0].(*model.Organization)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateOrganization indicates an expected call of CreateOrganization.
func (mr *MockSchemeRepositoryMockRecorder) CreateOrganization(arg0 any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateOrganization", reflect.TypeOf((*MockSchemeRepository)(nil).CreateOrganization), arg0)
}

// DeleteOrganization mocks base method.
func (m *MockSchemeRepository) DeleteOrganization(oin string) (*model.Organization, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DeleteOrganization", oin)
	ret0, _ := ret[0].(*model.Organization)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// DeleteOrganization indicates an expected call of DeleteOrganization.
func (mr *MockSchemeRepositoryMockRecorder) DeleteOrganization(oin any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DeleteOrganization", reflect.TypeOf((*MockSchemeRepository)(nil).DeleteOrganization), oin)
}

// GetHealthCheck mocks base method.
func (m *MockSchemeRepository) GetHealthCheck() healthcheck.Result {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHealthCheck")
	ret0, _ := ret[0].(healthcheck.Result)
	return ret0
}

// GetHealthCheck indicates an expected call of GetHealthCheck.
func (mr *MockSchemeRepositoryMockRecorder) GetHealthCheck() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHealthCheck", reflect.TypeOf((*MockSchemeRepository)(nil).GetHealthCheck))
}

// GetOrganization mocks base method.
func (m *MockSchemeRepository) GetOrganization(oin string) (*model.Organization, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetOrganization", oin)
	ret0, _ := ret[0].(*model.Organization)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetOrganization indicates an expected call of GetOrganization.
func (mr *MockSchemeRepositoryMockRecorder) GetOrganization(oin any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetOrganization", reflect.TypeOf((*MockSchemeRepository)(nil).GetOrganization), oin)
}

// ListOrganizations mocks base method.
func (m *MockSchemeRepository) ListOrganizations() (*[]model.Organization, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ListOrganizations")
	ret0, _ := ret[0].(*[]model.Organization)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// ListOrganizations indicates an expected call of ListOrganizations.
func (mr *MockSchemeRepositoryMockRecorder) ListOrganizations() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ListOrganizations", reflect.TypeOf((*MockSchemeRepository)(nil).ListOrganizations))
}

// UpdateOrganization mocks base method.
func (m *MockSchemeRepository) UpdateOrganization(oin string, organization model.Organization) (*model.Organization, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpdateOrganization", oin, organization)
	ret0, _ := ret[0].(*model.Organization)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// UpdateOrganization indicates an expected call of UpdateOrganization.
func (mr *MockSchemeRepositoryMockRecorder) UpdateOrganization(oin, organization any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateOrganization", reflect.TypeOf((*MockSchemeRepository)(nil).UpdateOrganization), oin, organization)
}
